# _PACKET_OID_DATA Struct Reference
[NPF structures and definitions]

Structure containing an OID request. More...

`#include <Packet.h>`

## Data Fields
ULONG | Oid
ULONG | Length
| Length of the data field.
UCHAR | Data [1]

## Detailed Description

Structure containing an OID request.

It is used by the PacketRequest() function to send an OID to the interface card driver. It can be used, for example, to retrieve the status of the error counters on the adapter, its MAC address, the list of the multicast groups defined on it, and so on.

Definition at line 143 of file Packet.h.

## Field Documentation

UCHAR Data[1]

variable-lenght field that contains the information passed to or received from the adapter.

Definition at line 147 of file Packet.h.

ULONG Length

Length of the data field.

Definition at line 146 of file Packet.h.

ULONG Oid

OID code. See the Microsoft DDK documentation or the file ntddndis.h for a complete list of valid codes.

Definition at line 144 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.